# Make sure solr dirs are writable by tomcat6 user so it can create data dirs (solr runs as a Tomcat6 webapp)
chgrp solr solr/main solr/test
chmod g+ws,+t solr/main solr/test

# Delete old .pyc files (if we don't do this we don't notice errors caused by .py files being deleted that are still referenced by other .py files)
find . -name '*.pyc' -exec rm \{\} \;

cat >  project/settings/local_common.py << EOL
# This file is automatically generated by a Jenkins shell script, manual modifications will be lost.
HAYSTACK_CONNECTIONS = {
    'default': {
        'ENGINE': 'haystack.backends.solr_backend.SolrEngine',
        'URL': 'http://plumpton:8280/solr/main',
        'TIMEOUT': 60 * 5,
        'INCLUDE_SPELLING': True,
        'BATCH_SIZE': 100,
        },
}
EOL

# recreate solr.xml if it doesn't have a core entry for this job

if ! grep -q "<core name=\"test-$JOB_NAME\" instanceDir=\"$WORKSPACE/solr/test\"/>" $HOME/assetcloud-solr/solr.xml ;
then
    mv $HOME/assetcloud-solr/solr.xml $HOME/assetcloud-solr/solr.xml.`date +"%m-%d-%y-%T"`
    cp -n $WORKSPACE/solr/solr.xml $HOME/assetcloud-solr/solr.xml
    pushd $HOME
        find jobs -maxdepth 4 -type d | grep "solr/test" | while read line; do
            folders=(${line//\// })
            job=${folders[1]// /_}
            sed -i "s|  </cores>|    <core name=\"test-$job\" instanceDir=\"$HOME/$line\"/>\n  </cores>|" ~/assetcloud-solr/solr.xml
        done
        sed -i "s|    <core name=\"main\" instanceDir=\"main\"/>|    <core name=\"main\" instanceDir=\"/var/www/vhosts/assetcloud-test/site/solr/main\"/>|" ~/assetcloud-solr/solr.xml
        sed -i "s|    <core name=\"test\" instanceDir=\"test\"/>|    <core name=\"test\" instanceDir=\"/var/www/vhosts/assetcloud-test/site/solr/test\"/>|" ~/assetcloud-solr/solr.xml
    popd
    sudo /etc/init.d/tomcat6 restart
fi

cat >  project/settings/local_testing.py << EOL
# This file is also automatically generated by a Jenkins shell script, manual modifications will be lost as well.
HAYSTACK_CONNECTIONS = {
    'default': {
        'ENGINE': 'haystack.backends.solr_backend.SolrEngine',
        'URL': 'http://$HOSTNAME:8280/solr/test-${JOB_NAME// /_}',
        'TIMEOUT': 60 * 5,
        'INCLUDE_SPELLING': True,
        'BATCH_SIZE': 100,
        },
}
EOL
